--- ./Makefile.in	2024-04-07 17:26:13
+++ ./Makefile.in	2024-04-07 17:26:29
@@ -25,14 +25,14 @@
 lib$(libname).a : lzlib.o
 	$(AR) $(ARFLAGS) $@ $<
 
-lib$(libname).so.$(pkgversion) : lzlib_sh.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -fpic -fPIC -shared -Wl,--soname=lib$(libname).so.$(soversion) -o $@ $<
+lib$(libname).$(pkgversion).dylib : lzlib_sh.o
+	$(CC) $(CFLAGS) $(LDFLAGS) -fpic -fPIC -dynamiclib -install_name $(prefix)/lib/lib$(libname).$(soversion).dylib -o $@ $<
 
 $(progname) : $(objs) lib$(libname).a
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(objs) lib$(libname).a
 
-$(progname)_shared : $(objs) lib$(libname).so.$(pkgversion)
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(objs) lib$(libname).so.$(pkgversion)
+$(progname)_shared : $(objs) lib$(libname).$(pkgversion).dylib
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(objs) lib$(libname).$(pkgversion).dylib
 
 bbexample : bbexample.o lib$(libname).a
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ bbexample.o lib$(libname).a
@@ -108,15 +108,12 @@
 	  $(INSTALL_DATA) ./lib$(libname).a "$(DESTDIR)$(libdir)/lib$(libname).a" ; \
 	fi
 	if [ -n "$(progname_shared)" ] ; then \
-	  $(INSTALL_PROGRAM) ./lib$(libname).so.$(pkgversion) "$(DESTDIR)$(libdir)/lib$(libname).so.$(pkgversion)" ; \
-	  if [ -e "$(DESTDIR)$(libdir)/lib$(libname).so.$(soversion)" ] ; then \
-	    run_ldconfig=no ; \
-	  else run_ldconfig=yes ; \
-	  fi ; \
-	  rm -f "$(DESTDIR)$(libdir)/lib$(libname).so" ; \
-	  rm -f "$(DESTDIR)$(libdir)/lib$(libname).so.$(soversion)" ; \
-	  cd "$(DESTDIR)$(libdir)" && ln -s lib$(libname).so.$(pkgversion) lib$(libname).so ; \
-	  cd "$(DESTDIR)$(libdir)" && ln -s lib$(libname).so.$(pkgversion) lib$(libname).so.$(soversion) ; \
+	  $(INSTALL_PROGRAM) ./lib$(libname).$(pkgversion).dylib "$(DESTDIR)$(libdir)/lib$(libname).$(pkgversion).dylib" ; \
+	  run_ldconfig=no ; \
+	  rm -f "$(DESTDIR)$(libdir)/lib$(libname).dylib" ; \
+	  rm -f "$(DESTDIR)$(libdir)/lib$(libname).$(soversion).dylib" ; \
+	  cd "$(DESTDIR)$(libdir)" && ln -s lib$(libname).$(pkgversion).dylib lib$(libname).dylib; \
+	  cd "$(DESTDIR)$(libdir)" && ln -s lib$(libname).$(pkgversion).dylib lib$(libname).$(soversion).dylib ; \
 	  if [ "${disable_ldconfig}" != yes ] && [ $${run_ldconfig} = yes ] && \
 	     [ -x "$(LDCONFIG)" ] ; then "$(LDCONFIG)" -n "$(DESTDIR)$(libdir)" || true ; fi ; \
 	fi
@@ -155,9 +152,9 @@
 uninstall-lib :
 	-rm -f "$(DESTDIR)$(includedir)/$(libname)lib.h"
 	-rm -f "$(DESTDIR)$(libdir)/lib$(libname).a"
-	-rm -f "$(DESTDIR)$(libdir)/lib$(libname).so"
-	-rm -f "$(DESTDIR)$(libdir)/lib$(libname).so.$(soversion)"
-	-rm -f "$(DESTDIR)$(libdir)/lib$(libname).so.$(pkgversion)"
+	-rm -f "$(DESTDIR)$(libdir)/lib$(libname).dylib"
+	-rm -f "$(DESTDIR)$(libdir)/lib$(libname).$(soversion).dylib"
+	-rm -f "$(DESTDIR)$(libdir)/lib$(libname).$(pkgversion).dylib"
 
 uninstall-info :
 	-if $(CAN_RUN_INSTALLINFO) ; then \
@@ -198,7 +195,7 @@
 
 clean :
 	-rm -f $(progname) $(objs) lzlib.o lib$(libname).a
-	-rm -f $(progname)_shared lzlib_sh.o lib$(libname).so*
+	-rm -f $(progname)_shared lzlib_sh.o lib$(libname).*dylib
 	-rm -f bbexample bbexample.o ffexample ffexample.o lzcheck lzcheck.o
 
 distclean : clean
